Bug 245221 - IPMI Fence Agent does not support IPMIv2.0 protocol (aka "lanplus")
IPMI Fence Agent does not support IPMIv2.0 protocol (aka "lanplus")
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: clumanager (Show other bugs)
All Linux
low Severity urgent
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2007-06-21 14:52 EDT by Celso K. Webber
Modified: 2009-04-16 16:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-11 14:48:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This is my "wrapper script" for the ipmitool command (1.33 KB, text/plain)
2007-06-21 14:52 EDT, Celso K. Webber
no flags Details
Untested patch; compiles (10.57 KB, text/x-patch)
2007-06-26 15:27 EDT, Lon Hohberger
no flags Details

  None (edit)
Description Celso K. Webber 2007-06-21 14:52:58 EDT
Description of problem:
When configuring Cluster Suite v3 and using IPMI over LAN as a fence agent, it runs the "ipmitool" 
program to issue a "chassis power off" command, and later on, "chassis power status" and "chassis 
power on".
The problem is that the ipmitool command is called using the "-I lan" argument, while on hardware that 
supports IPMIv2.0 only, it should be called with the "-I lanplus" argument instead.
There should be a way of specifying to the agent which protocol version to use: v1.5 (-I lan) or v2.0 (-I 
The servers in question are both Dell PE-2950 with the remote controller card installed (DRAC 5).
To solve the problem temporarily, I've created a "wrapper script" the intercepts the "-I lan" argument 
and changes it to "-I lanplus" whenever the ipmitool command is called. But the Red Hat support team 
states this will not be supported if the customer has an issue.

Version-Release number of selected component (if applicable):
Packages used are from RH Cluster Suite v3 Update 8

How reproducible:

Steps to Reproduce:
1. Configure a fence device using the "IPMIlan" protocol
2. Either make one node offline so that the other tries to fence it, or use the "clufence" command to 
force a fencing
3. Issue a "ps axuw" command and check that the "ipmitool" command is being called using the "-I lan" 
argument, which is incorret for servers supporting only IPMIv2.0 protocol (-I lanplus should be used).
Actual results:
The server gets never fenced because it does not support IPMIv1.5 (-I lan argument of the ipmitool 

Expected results:
There sould be a way to specify the desired IPMI protocol version.

Additional info:
A post and a response on the linus-cluster mailing list can be seen here:
Comment 1 Celso K. Webber 2007-06-21 14:52:58 EDT
Created attachment 157562 [details]
This is my "wrapper script" for the ipmitool command
Comment 2 Lon Hohberger 2007-06-26 15:27:22 EDT
Created attachment 157944 [details]
Untested patch; compiles

If applied to a current rhcs3 / clumanager source base, this patch should
enable the use of lanplus.

With the patch applied, putting a plus sign before the user name (or a plus
sign *as* the user name if you were not using a username) enables lan+
Comment 3 Lon Hohberger 2007-06-26 15:48:28 EDT
I tested the patch, and it correctly sets lanplus as noted previously.

Above patch is mostly a backport of the current ipmi fence agent from Red Hat
Cluster Suite 4 (and 5).  There are a couple of things to be aware of:

* Ipmitool is not shipped by Red Hat for Red Hat Enterprise Linux 3.  The
ipmilan.so driver for Red Hat Cluster Suite 3 was intended to support a select
few machines where the IHV provided ipmitool as part of their own supplemental
software package.

* Adding new(er) hardware support to Red Hat Cluster Suite 3 unlikely to happen.
Comment 4 Celso K. Webber 2007-06-28 15:53:05 EDT
Hello, this is great news that the port from Cluster Suite 4 (and 5) worked as expected.

About your notes:
* the OpenIPMI, OpenIPMI-libs and OpenIPMI-tools are shipped for RHELv3 through RHN since the end 
of 2005, if I am not wrong. I believe these were added when the IPMI fence method started to be a 
supported fencing mechanism for Cluster Suite v3 (I'm not sure about this, though);

* I agree that Cluster Suite 3 is being retired as it is a completely different software from Cluster Suite 
v4 and v5, right?

Important question: is there an estimated date for this update in the clumanager package of CS3 to be 
released through RHN? How could I test this in our environment just to give you a user's perspective 
feedback of the functionality?
Comment 5 Lon Hohberger 2007-07-11 14:48:33 EDT
You are correct; we do ship OpenIPMI for RHEL3; the current package is here:


However, given:

* a workaround exists (your script),
* this is still adding hardware support, and
* this is not sufficient to warrant an erratum (because it is new hardware support),

... it is unlikely that this will be released by itself.

* You have a support request open, and you may ask them to request this patch to
be released as an erratum against Red Hat Cluster Suite 3 on your behalf.

* Given that on Red Hat Cluster Suite 3, there is the option of not using any
fencing at all (though there is a strong recommendation against this practice,
as it is dangerous), your workaround should *not* any present or future problems
from a support perspective.

* This hardware is supported in Red Hat Cluster Suite 4 and Red Hat Enterprise
Linux 5 for cluster fencing.

Note You need to log in before you can comment on or make changes to this bug.